# 78. Lekérdezés: „Táblák” keresése „externalKey” alapján

Keresse meg a „Parcellákat” a regisztrációs eljárás során a 3. fél által beépített externalKey alapján.

### <mark style="color:narancs;">1. LEHETŐSÉG</mark> a getFields lekérdezés használatával

{% code overflow="wrap" lineNumbers="true" %}

```graphql
lekérdezés FindFieldsByExternalKeyOption1 {
  getFields(szűrő: {
    fieldExternalKey: "<harmadik_fél_azonosító>"
  }) {
    összesenDarabszám
    fields {
      uuid
      név
      externalKey
    }
  }
}
```

{% endcode %}

### <mark style="color:narancs;">2. LEHETŐSÉG</mark> a getFarms lekérdezés használatával

{% code overflow="wrap" lineNumbers="true" %}

```graphql
lekérdezés FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<harmadik_fél_azonosító>"]) {
      uuid
      név
      externalKey
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/78.-lekerdezes-tablak-keresese-externalkey-alapjan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
